Spreadsheet footers
Footers are read-only rows at the bottom of the worksheet that can hold text or formulas, for example a summary.
Documentation
getFooters
Get the footer definitions.
GET /api/:guid/:worksheetIndex/footers
setFooters
Replace the current footer.
| Parameter | Description |
|---|---|
footer |
New footer data. |
POST /api/:guid/:worksheetIndex/footers
resetFooter
Remove the footer.
DELETE /api/:guid/:worksheetIndex/footers
setFooterValue
Change the value of an existing footer cell.
| Parameter | Description |
|---|---|
x |
Cell column to be changed. |
y |
Cell row to be changed. |
value |
New cell value. |
POST /api/:guid/:worksheetIndex/footers/value
Examples
Set the spreadsheet footers
const baseUrl = 'https://your-server.example.com/api';
const guid = '15eb1171-5a64-45bf-be96-f52b6125a045';
const headers = { 'Authorization': `Bearer ${token}` };
// Create the footers from a two-dimensional array
await fetch(`${baseUrl}/${guid}/0/footers`, {
method: 'POST',
headers,
body: new URLSearchParams({
'footer[0][0]': '1',
'footer[0][1]': '2',
'footer[1][0]': '3',
'footer[1][1]': '4',
}),
});
Get all footers
const baseUrl = 'https://your-server.example.com/api';
const guid = '15eb1171-5a64-45bf-be96-f52b6125a045';
const headers = { 'Authorization': `Bearer ${token}` };
// Get the footers
const footer = await (await fetch(`${baseUrl}/${guid}/0/footers`, { headers })).json();
console.log(footer);
Set the value of a footer cell
const baseUrl = 'https://your-server.example.com/api';
const guid = '15eb1171-5a64-45bf-be96-f52b6125a045';
const headers = { 'Authorization': `Bearer ${token}` };
// Set the value of the footer cell
await fetch(`${baseUrl}/${guid}/0/footers/value`, {
method: 'POST',
headers,
body: new URLSearchParams({
'x': '1',
'y': '1',
'value': 'New Value',
}),
});
Delete all footers
const baseUrl = 'https://your-server.example.com/api';
const guid = '15eb1171-5a64-45bf-be96-f52b6125a045';
const headers = { 'Authorization': `Bearer ${token}` };
// Delete the footer definitions
await fetch(`${baseUrl}/${guid}/0/footers`, {
method: 'DELETE',
headers,
});